#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("./common");
// don't go for global installed stuff.
process.env["DOTNET_MULTILEVEL_LOOKUP"] = "0";
// if this is the .net runtime, try the SDK command first (if it's local).
common_1.basename === 'dotnet' ? tryDotNetSDK() : tryDotNet();
function tryDotNetSDK() {
    try {
        require("dotnet-sdk-2.0.0/dist/call.js");
    }
    catch (_a) {
        tryDotNet();
    }
}
function tryDotNet() {
    // try local node_modules 
    try {
        require(common_1.dotnetPackageName);
    }
    catch (_a) {
        // run the dotnet package
        try {
            require(common_1.installationPath);
        }
        catch (_b) {
            // inline install and try again
            require("child_process").fork(`${__dirname}/app.js`, ["--force"], { silent: true }).
                on("exit", (code, signal) => code == 0 ? require(common_1.installationPath) : console.error("Unable to install/use dotnet framework."));
        }
    }
}
//# sourceMappingURL=call.js.map